System requirements amendment

Release Date
Version
12.04.17

System requirements update

We've made a change to system requirements for the Imagine Language & Literacy app. The text now reads, "Operating system: 64-bit Windows 7 or newer.” We omitted the 64-bit Windows 7 operating system requirement in the original system requirement communication and sincerely apologize for this inconvenience. We hope to work with customers impacted by this error to get students running smoothly.

We understand that some customers are using 32-bit Windows 7 on some computers. Here are some solutions:

  • If compatible and possible, install Windows 7 64-bit on the computers using Imagine Language & Literacy.
  • Download and install the Imagine Learning legacy Windows standalone app, which can still be used with 32-bit Windows 7.